package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkorderSharestockCpsorderListRequest struct {
	/*
	   入参     */
	CpsOrderRequest *domain.AlibabaWdkorderSharestockCpsorderListCpsOrderRequest `json:"cps_order_request" required:"true" `
}

func (s *AlibabaWdkorderSharestockCpsorderListRequest) SetCpsOrderRequest(v domain.AlibabaWdkorderSharestockCpsorderListCpsOrderRequest) *AlibabaWdkorderSharestockCpsorderListRequest {
	s.CpsOrderRequest = &v
	return s
}

func (req *AlibabaWdkorderSharestockCpsorderListRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.CpsOrderRequest != nil {
		paramMap["cps_order_request"] = util.ConvertStruct(*req.CpsOrderRequest)
	}
	return paramMap
}

func (req *AlibabaWdkorderSharestockCpsorderListRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
